## org.apache.ivy.osgi.obr.xml
Class Requirement

    java.lang.Object
      org.apache.ivy.osgi.obr.xml.Requirement

    public class Requirement

extends java.lang.Object

Constructor Summary
`Requirement(java.lang.String name, RequirementFilter filter)`

Method Summary
`RequirementFilter` `getFilter()`
`java.lang.String` `getName()`
`boolean` `isExtend()`
`boolean` `isMultiple()`
`boolean` `isOptional()`
`void` `setExtend(boolean extend)`
`void` `setMultiple(boolean multiple)`
`void` `setOptional(boolean optional)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Requirement

    public Requirement(java.lang.String name,
                       RequirementFilter filter)

Method Detail

### getName

    public java.lang.String getName()

### getFilter

    public RequirementFilter getFilter()

### setOptional

    public void setOptional(boolean optional)

### isOptional

    public boolean isOptional()

### setExtend

    public void setExtend(boolean extend)

### isExtend

    public boolean isExtend()

### setMultiple

    public void setMultiple(boolean multiple)

### isMultiple

    public boolean isMultiple()